Skip to content

Query Application-Side Permissions of Application Roles by Page ​

Permissions ​

The identity management API is authorized by application. Before calling the API, you need to set API permissions for different applications. For details, see API Permissions.

Permission CodeDescription
app_role_allRead/Write permission for role management APIs
app_role_readRead permission for role management APIs
allRead/Write permission for all APIs
readRead permission for all read APIs

Request ​

Request Headers ​

Parameter NameNameRequiredTypeDescription
AuthorizationAuthorizationYesStringFormat: Bearer {access_token}
Content-TypeContent TypeYesStringFixed value: application/json; charset=utf-8

Request Example ​

None

Request Parameters ​

Parameter NameNameRequiredTypeDescription
application_idApplication IDYesStringTarget application ID
offsetPage NumberYesIntStarting from page 0
limitPage SizeYesIntBetween 1 and 50

Response Example ​

Success Example ​

HTTP/1.1 200 OK

json
{
    "number": 0,
    "total": 2,
    "size": 10,
    "list": [
        {
            "roleId": "20230922093020557-4362-A6C9CF0EE",
        },
        {
            "roleId": "20230921140018768-35A4-7DBD541BC",
            "funcPerms": [
                {
                    "id": "20230914153344573-EB4E-3CB09F9B6",
                    "remoteId": null
                },
                {
                    "id": "20230920113324284-EFDF-BE5B34E7D",
                    "remoteId": null
                }
            ],
            "dataPerms": [
                {
                    "id": "20230914153344573-EB4E-3CB09F9B6",
                    "remoteId": null
                },
                {
                    "id": "20230920113324284-EFDF-BE5B34E7D",
                    "remoteId": null
                }
]
        }
    ]
}

Error Example ​

HTTP/1.1 400 Bad Request

json
{
    "error_code": " APP.0001",
    "error_msg": "App does not exist"
}

Response Parameters ​

Parameter NameNameTypeDescription
roleIdApplication role IDObject
funcPermsFunction permission info collectionObjectIn the collection, id: IDaaS primary key, remoteId: remote ID
dataPermsData permission info collectionObjectIn the collection, id: IDaaS primary key, remoteId: remote ID

Error Codes ​

Status CodeError CodeChinese Error MessageEnglish Error MessageResolution
400APP.0001应用不存在App does not existPlease check whether the application exists

BambooCloud IDaaS Open Platform